Filter companies
POST /v2/companies/filter
Request body
Content-Type: application/json
"contains", "not_contains", "eq""contains", "not_contains""contains", "not_contains", "eq""eq", "gte", "lte""in", "not_in""in", "not_in""in", "not_in""in", "not_in""any", "all", "none""contains", "eq", "in", "not_in", "present", "absent", "gte", "lte""name", "contacts_count", "connections_count", "created_at", "team_last_interaction_at""asc", "desc"Example
{
"where": {},
"sort": {
"field": "contacts_count",
"direction": "desc"
},
"limit": 100
}
Responses
200 — Successful response
Content-Type: application/json
"upload", "auto", "dismissed"Example
{
"data": {
"companies": [
{
"id": "00000000-0000-0000-0000-000000000000",
"user_id": "string",
"workspace_id": "00000000-0000-0000-0000-000000000000",
"assignee_id": "string",
"name": "string",
"description": "string",
"linkedin_description": "string",
"logo_url": "string",
"logo_source": "upload",
"logo_source_domain": "string",
"website_url": "string",
"linkedin_slug": "string",
"facebook_slug": "string",
"x_slug": "string",
"instagram_slug": "string",
"headquarters_location": "string",
"country_code": "string",
"email": "string",
"phone_number": "string",
"arr_estimate": 0,
"number_of_employees": 0,
"linkedin_data": {
"industry": "string",
"company_type": "string"
},
"ignore_merge": false,
"name_is_placeholder": false,
"archived_at": "2026-11-16T08:36:49.930Z",
"created_at": "2026-11-16T08:36:49.930Z",
"updated_at": "2026-11-16T08:36:49.930Z",
"companies_custom_fields": [
{
"custom_field_id": "00000000-0000-0000-0000-000000000000",
"text_value": "string",
"array_value": [
null
],
"date_value": "2026-11-16T08:36:49.930Z",
"member_user_id": "string",
"number_value": 0,
"boolean_value": false
}
],
"companies_custom_fields_contacts": [
{
"custom_field_id": "00000000-0000-0000-0000-000000000000",
"linked_contact_id": "00000000-0000-0000-0000-000000000000"
}
],
"companies_custom_fields_companies": [
{
"custom_field_id": "00000000-0000-0000-0000-000000000000",
"linked_company_id": "00000000-0000-0000-0000-000000000000"
}
],
"tag_ids": [
"00000000-0000-0000-0000-000000000000"
]
}
],
"stats": [
{
"company_id": "00000000-0000-0000-0000-000000000000",
"contacts_count": 0,
"connections_count": 0,
"last_interaction_at": "2026-11-16T08:36:49.930Z",
"team_last_interaction_at": "2026-11-16T08:36:49.930Z"
}
],
"pagination": {
"nextCursor": "string",
"count": 0
}
}
}
400 — Request body failed validation.
Content-Type: application/json
401 — Missing or invalid API key.
Content-Type: application/json
403 — Valid key, insufficient permission.
Content-Type: application/json
404 — Resource does not exist.
Content-Type: application/json
409 — Request conflicts with the current state of the resource.
Content-Type: application/json
429 — Rate limit exceeded.
Content-Type: application/json
500 — Unexpected server error.
Content-Type: application/json
Code samples
curl https://api.prod.getdex.com/v2/companies/filter \
--request POST \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"where": {},
"sort": {
"field": "contacts_count",
"direction": "desc"
},
"limit": 100
}'
fetch('https://api.prod.getdex.com/v2/companies/filter', {
method: 'POST',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
where: {},
sort: {
field: 'contacts_count',
direction: 'desc'
},
limit: 100
})
})
requests.post(
"https://api.prod.getdex.com/v2/companies/filter",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"where": {},
"sort": {
"field": "contacts_count",
"direction": "desc"
},
"limit": 100
}
)
Create and add tags to a company
Find or create workspace tags by name (`tagNames`, up to 50) and add them to one company, archived or not. 404 `record_not_found` when the company is not in the workspace; 409 `write_conflict` when a
Freeze a company selection
Resolve `where` (the `POST /v2/companies/filter` filter) and optional `view_id`, less `excluded_ids` (up to 10,000), once, and store the ids for 1 hour under a token bound to the caller, the workspace

